package dk.nsp.idsas.dao;

import java.time.Instant;
import java.time.LocalDateTime;
import java.time.ZoneOffset;
import java.time.format.DateTimeFormatter;

public class DbUtils {
    /**
     * Convert Instant to ISO8601 format
     * @param instant Instant
     * @return ISO8601 formatted string
     */
    public static String convertInstantToISO8601(Instant instant) {
        LocalDateTime datetime = LocalDateTime.ofInstant(instant, ZoneOffset.UTC);
        return DateTimeFormatter.ofPattern("yyyy-MM-dd hh:mm:ss").format(datetime);
    }

}
