package dk.nsp.idsas.service.strategy;

import dk.nsp.idsas.service.IdsasServiceException;

/**
 * Functional interface for persisting something in IDSAS
 * @param <T>
 */
@FunctionalInterface
public interface PersistStrategy<T> {
    void send(T entity) throws IdsasServiceException;
}
